Loading...
Searching...
No Matches
_PidginLogViewer Struct Reference

A GTK+ Log Viewer. More...

`#include <gtklog.h>`

## Data Fields

GList * | logs
| The list of logs viewed in this viewer.
GtkWidget * | window
| The viewer's window.
GtkTreeStore * | treestore
| The treestore containing said logs.
GtkWidget * | treeview
| The treeview representing said treestore.
GtkWidget * | imhtml
| The imhtml to display said logs.
GtkWidget * | entry
| The search entry, in which search terms are entered.
PurpleLogReadFlags | flags
| The most recently used log flags.
char * | search
| The string currently being searched for.
GtkWidget * | label
| The label at the top of the log viewer.

## Detailed Description

A GTK+ Log Viewer.

You can look at logs with it.

Definition at line 40 of file gtklog.h.

## Field Documentation

## entry

GtkWidget* _PidginLogViewer::entry

The search entry, in which search terms are entered.

Definition at line 47 of file gtklog.h.

## flags

PurpleLogReadFlags _PidginLogViewer::flags

The most recently used log flags.

Definition at line 49 of file gtklog.h.

## imhtml

GtkWidget* _PidginLogViewer::imhtml

The imhtml to display said logs.

Definition at line 46 of file gtklog.h.

## label

GtkWidget* _PidginLogViewer::label

The label at the top of the log viewer.

Definition at line 51 of file gtklog.h.

## logs

GList* _PidginLogViewer::logs

The list of logs viewed in this viewer.

Definition at line 41 of file gtklog.h.

## search

char* _PidginLogViewer::search

The string currently being searched for.

Definition at line 50 of file gtklog.h.

## treestore

GtkTreeStore* _PidginLogViewer::treestore

The treestore containing said logs.

Definition at line 44 of file gtklog.h.

## treeview

GtkWidget* _PidginLogViewer::treeview

The treeview representing said treestore.

Definition at line 45 of file gtklog.h.

## window

GtkWidget* _PidginLogViewer::window

The viewer's window.

Definition at line 43 of file gtklog.h.

The documentation for this struct was generated from the following file:

- gtklog.h